# $Revision: 1.5 $, $Date: 2004/09/11 17:41:46 $
Summary:	Analyze OpenPGP style keyrings
Summary(pl):	Analiza piercieni kluczy w formacie OpenPGP
Name:		keyanalyze
Version:	200204
Release:	3
License:	GPL	
Group:		Applications
Source0:	http://dtype.org/keyanalyze/code/%{name}-%{version}.tar.gz
# Source0-md5:	46c1928c0ed298696f9f06b747fa0e85
Patch0:		%{name}-analyze.sh.patch
Patch1:		%{name}-keyanalyze.c.patch
Patch2:		%{name}-pgpring.patch
Patch3:		%{name}-process_keys.c.patch
URL:		http://dtype.org/keyanalyze/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Keyanalyze is designed to analyze keyrings in the OpenPGP format (PGP
and GnuPG). It looks at properties of connectivity to generate
strongly-connected set analysis, as well as some arbitrary statistics
including a "mean shortest distance" calculation to show the most
connected keys. This code is also used to create a report based on an
extremely large keyset once per month.

%description -l pl
Keyanalyze suy do analizy piercieni kluczy w formacie OpenPGP (PGP
i GnuPG). Przeglda wasnoci czce do wygenerowania analizy silnie
poczonych zbiorw, a take pewnych statystyk, w tym obliczenia
"redniej najkrtszej odlegoci", aby pokaza najbardziej poczone
klucze. Ten kod suy take do tworzenia raportw miesicznych w
oparciu o bardzo due zbiory kluczy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd pgpring
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} 
cd ..
%{__make} keyanalyze process_keys \
	CFLAGS="%{rpmcflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C pgpring install \
	DESTDIR=$RPM_BUILD_ROOT

install keyanalyze process_keys $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: keyanalyze.spec,v $
Revision 1.5  2004/09/11 17:41:46  wolf
- correct group
- rel 3

Revision 1.4  2004/07/11 19:31:43  qboosh
- release 2

Revision 1.3  2004/07/11 18:52:15  qboosh
- pl desc, simplified install

Revision 1.2  2004/07/11 18:36:59  adamg
- BuildRequires: autoconf,automake
- %%attr() around binaries

Revision 1.1  2004/07/11 18:29:56  adamg
- new; patches taken from debian
